//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Load dts shapes and merge animations
datablock TSShapeConstructor(YukariDts)
{
	baseShape  = "./Yukari.dts";
	sequence0  = "./pomu_root.dsq root";

	sequence1  = "./pomu_walk.dsq run";
	sequence2  = "./pomu_walk.dsq walk";
	sequence3  = "./pomu_back.dsq back";
	sequence4  = "./pomu_back.dsq side";

	sequence5  = "./pomu_crouch.dsq crouch";
	sequence6  = "./pomu_crouchrun.dsq crouchRun";
	sequence7  = "./pomu_crouchrun.dsq crouchBack";
	sequence8  = "./pomu_crouchrun.dsq crouchSide";

	sequence9  = "./pomu_look.dsq look";
	sequence10 = "./pomu_headside.dsq headside";
	sequence11 = "./pomu_root.dsq headUp";

	sequence12 = "./pomu_jump.dsq jump";
	sequence13 = "./pomu_jump.dsq standjump";
	sequence14 = "./pomu_sit.dsq fall";
	sequence15 = "./pomu_root.dsq land";

	sequence16 = "./pomu_armAttack.dsq armAttack";
	sequence17 = "./pomu_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./pomu_armReadyRight.dsq armReadyRight";
	sequence19 = "./pomu_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./pomu_spearready.dsq spearready";  
	sequence21 = "./pomu_spearThrow.dsq spearThrow";

	sequence22 = "./pomu_root.dsq talk";  

	sequence23 = "./pomu_death1.dsq death1"; 
	
	sequence24 = "./pomu_root.dsq shiftUp";
	sequence25 = "./pomu_root.dsq shiftDown";
	sequence26 = "./pomu_activate.dsq shiftAway";
	sequence27 = "./pomu_root.dsq shiftTo";
	sequence28 = "./pomu_root.dsq shiftLeft";
	sequence29 = "./pomu_root.dsq shiftRight";
	sequence30 = "./pomu_rotCW.dsq rotCW";
	sequence31 = "./pomu_rotCCW.dsq rotCCW";

	sequence32 = "./pomu_root.dsq undo";
	sequence33 = "./pomu_plant.dsq plant";

	sequence34 = "./pomu_sit.dsq sit";

	sequence35 = "./pomu_activate.dsq wrench";

   sequence36 = "./pomu_activate.dsq activate";
   sequence37 = "./pomu_activate2.dsq activate2";

   sequence38 = "./pomu_leftrecoil.dsq leftrecoil";
};    

datablock PlayerData(GuPYukariArmor : PlayerStandardArmor)
{
   shapeFile = "./Yukari.dts";
	uiName = "GuP Yukari";
      maxTools = "9";
      maxWeapons = "9";
};

datablock PlayerData(GuPYukariNoJetsArmor : GuPYukariArmor)
{
	uiName = "GuP Yukari No Jet";
	canJet = 0;
};